#
# spec file for package mairix
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Summary:        A maildir indexer and searcher
License:        GPL-2.0
Group:          Productivity/Networking/Email/Utilities

Name:           mairix
Version:        0.22
Release:        lp150.1.7
Source0:        mairix-%{version}.tar.gz
Url:            http://www.rc0.org.uk/mairix/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  bison
BuildRequires:  flex

%description
mairix is a tool for indexing email messages stored in maildir format
folders and performing fast searches on the resulting index.  The
output is a new maildir folder containing symbolic links to the matched
messages.



%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" 			\
./configure					\
		--prefix=/usr			\
		--docdir=%{_docdir}/mairix	\
		--mandir=%{_mandir}
CFLAGS="$RPM_OPT_FLAGS" 			\
make
strip mairix
# make docs

%install
[ -d %{buildroot} -a "%{buildroot}" != "" ] && rm -rf  %{buildroot}
mkdir %{buildroot}
make DESTDIR=$RPM_BUILD_ROOT install
# make DESTDIR=$RPM_BUILD_ROOT install_docs
chmod 644 ACKNOWLEDGEMENTS README  COPYING  INSTALL dotmairixrc.eg

%files
%defattr(-,root,root)
%attr(0755,root,root) %{_bindir}/mairix
/usr/share/man/man*/*
%doc ACKNOWLEDGEMENTS README  COPYING  INSTALL dotmairixrc.eg

%clean
[ -d %{buildroot} -a "%{buildroot}" != "" ] && rm -rf  %{buildroot}

%changelog
* Tue Mar 12 2013 cfarrell@suse.com
- license update: GPL-2.0
  no indication of aggregation. Fedora also denote this as GPL-2.0
* Mon Mar 11 2013 aj@suse.com
- Since version 0.18 texinfo is not needed any more, remove
  build require on it.
* Tue Mar  5 2013 coolo@suse.com
- update license to new format
* Tue Jun 29 2010 bphilips@novell.com
- Upgrade to bug fix release v0.22
  + Include the existing -x flag in the help message (Mark Hills)
  + Detect a trailing -f or -o with no following argument
  + Display message-ID in search -x mode
  + Skip symlinks when using mbox (R A Lichtensteiger)
  + Improve error message if home directory cannot be determined
  + Honour HOME environment variable (Andreas Amann)
  + MIME types are allowed to have "+" characters in them. (Jonathan Kamens)
  + Fix deficiencies in the parsing of mbox From lines (Jonathan Kamens)
  + Fix documentation nits (Tom Doherty)
  + Remove spurious message when the mtime of a message file has changed
  + Initialize the date header with a known value. (Samuel Tardieu)
  + Merge two conflicting solutions for bad MIME encoding
  + fix for MIME-related crash (Paramjit Oberoi)
  + Add support claws-mail (Anand Kumria)
  + Add MH sub-type support for ezmlm-archives (Claus Alboege)
  + Allow lines starting "From" to occur part-way through the header.o
  + Handle mbox from separators where email address is in angle brackets
  + Fix a bug in rfc822.c: Some headers weren't correctly parsed. (Jaime Velasco Juan)
* Wed Jan 14 2009 bphilips@suse.de
- created package
